Package jakarta.websocket

## Interface Decoder

All Known Subinterfaces:
  `Decoder.Binary<T>`, `Decoder.BinaryStream<T>`, `Decoder.Text<T>`, `Decoder.TextStream<T>`

    public interface Decoder

### Nested Class Summary

Nested Classes
`static interface` `Decoder.Binary<T>`
`static interface` `Decoder.BinaryStream<T>`
`static interface` `Decoder.Text<T>`
`static interface` `Decoder.TextStream<T>`

### Method Summary

All Methods Instance Methods Default Methods
`default void` `destroy()` Destroy the decoder.
`default void` `init​(EndpointConfig endpointConfig)` Initialise the decoder.

### Method Detail

#### init

    default void init​(EndpointConfig endpointConfig)

Initialise the decoder. The default implementation is a NO-OP.

Parameters:
  `endpointConfig` - The end-point configuration

#### destroy

    default void destroy()

Destroy the decoder. The default implementation is a NO-OP.